API referenceEndpointsSources
Request Source Authorization
Create a human authorization request for an existing Source.
Create a human authorization request for an existing Source.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
sourceId*string
Source UUID within the Account scope.
Format
uuidHeader Parameters
Idempotency-Key*string
Unique key for this mutation and request body.
Length
8 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/sources/00000000-0000-4000-8000-000000000002/authorization-requests" \ -H "Idempotency-Key: operation-20260816-001" \ -H "Content-Type: application/json" \ -d '{ "accountId": "00000000-0000-4000-8000-000000000001", "recipientEmail": "owner@example.com", "requestedScopes": [ "channels:read", "channels:history" ] }'{ "data": { "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6", "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2", "authorizationUrl": "http://example.com", "delivery": "sent", "expiresAt": "2019-08-24T14:15:22Z" }, "correlationId": "string"}